Skip to content

List analytics filters

GET
/analytics/filters
curl --request GET \
--url 'https://api.warmup.social/analytics/filters?role=own' \
--header 'Authorization: Bearer <token>'

Tracked accounts and collections for the given role — use their ids in accountId and group.

role
string
Allowed values: own competitor

Whose accounts to analyze — your own or competitors.

Accounts and collections.

Media typeapplication/json
object
accounts
required
Array<object>
object
id
required
string format: uuid
platform
required
string
Allowed values: instagram tiktok facebook
username
required
string
displayName
required
string
nullable
avatarUrl
required
string
nullable
groups
required

Collection names.

Array<string>

Example

{
"accounts": [
{
"platform": "instagram"
}
]
}

The Bearer token is missing or invalid.

Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
error
string
key
additional properties
any

Example

{
"statusCode": 400,
"message": "Invalid request",
"error": "Bad Request"
}